{% extends 'core/base.html' %}
{% load static %}

{% block header %}
<link rel="stylesheet" type="text/css" href="{% static 'docket/css/docket.css' %}">
{% endblock %}

{% block content %}
<script>
	var statuses = {
		{% for stat in statuses %}
		{{ stat.id }}: { bg_color: "{{ stat.bg_color }}", fore_color: "{{ stat.fore_color }}" },
		{% endfor %}
	}
	var priorities = {
		{% for pri in priorities %}
		{{ pri.id }}: { bg_color: "{{ pri.bg_color }}", fore_color: "{{ pri.fore_color }}" },
		{% endfor %}
	}
</script>
<script src="{% static 'docket/js/edititem.js' %}"></script>
<form id="edit-item-form" method="POST">
	{% csrf_token %}

	<div class="flexdiv">
		<label>Title</label>
		<input type="text" class="docket-input"
			name="title" value="{{ item.title|escape }}" />
	</div>

	<div class="flexdiv">
		<label>Category</label>
		<select name="category" class="docket-input">
			{% for cat in categories %}
			<option {% if cat.id == item.category.id %}selected{% endif %} value="{{ cat.id }}">{{ cat.name }}</option>
			{% endfor %}
		</select>
	</div>

	<div class="flexdiv">
		<label>Priority</label>
		<select id="priorityDropdown" class="docket-item-priority"
			name="priority" style="color:{{ item.priority_fore_color }};background-color:{{ item.priority_bg_color }};">
			{% for pri in priorities %}
			<option {% if pri.id == item.priority %}selected{% endif %} value="{{ pri.id }}">{{ pri.text }}</option>
			{% endfor %}
		</select>

		<label>Status</label>
		<select id="statusDropdown" class="docket-item-status"
			name="status" style="color:{{ item.status_fore_color }};background-color:{{ item.status_bg_color }};">
			{% for stat in statuses %}
			<option {% if stat.id == item.status %}selected{% endif %} value="{{ stat.id }}">{{ stat.text }}</option>
			{% endfor %}
		</select>
	</div>

	<div class="flexdiv">
		<label>Contact</label>
		<input type="text" class="docket-input" 
			name="contact" value="{{ item.contact|escape }}" />
	</div>

	<div class="flexdiv">
		<div class="docket-item-date-container">
			<label class="nopadd">Created</label>
			<div class="docket-item-date">
				{{ item.created|date:"M d, Y" }}
			</div>
		</div>

		<div class="docket-item-date-container"  style="color:{{ item.last_update_fore_color }};background-color:{{ item.last_update_bg_color }};">
			<label class="nopadd" style="color:{{ item.last_update_fore_color }};">Updated</label>
			<div class="docket-item-date">
				{{ item.last_update|date:"M d, Y" }}
			</div>
		</div>
	</div>

	<label>New Update</label>
	<textarea name="newupdate" maxlength="250" rows="5" value="{{ newupdate }}"></textarea>

	<input type="submit" value="Save" />

	<label>History</label>

	<div class="list">
		{% for entry in extra.history %}
		<div class="history-entry">
			<div class="history-date">{{ entry.created|date:"l, M d, Y" }}</div>
			<div class="history-text">{{ entry.text|escape }}</div>
		</div>
		{% endfor %}
	</div>

	<input type="submit" value="Save" />
	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</form>
{% endblock %}